zenilib: zenilib/jni/external/libvorbis/lib/codebook.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
codebook.h File Reference
`#include <ogg/ogg.h>`

Go to the source code of this file.

## Classes

struct | codebook
struct | static_codebook

## Typedefs

typedef struct codebook | codebook
typedef struct static_codebook | static_codebook

## Functions

int | _best (codebook *book, float *a, int step)
float * | _book_logdist (const static_codebook *b, float *vals)
long | _book_maptype1_quantvals (const static_codebook *b)
float * | _book_unquantize (const static_codebook *b, int n, int *map)
long | _float32_pack (float val)
float | _float32_unpack (long val)
int | _ilog (unsigned int v)
int | vorbis_book_besterror (codebook *book, float *a, int step, int addmul)
void | vorbis_book_clear (codebook *b)
long | vorbis_book_codelen (codebook *book, int entry)
long | vorbis_book_codeword (codebook *book, int entry)
long | vorbis_book_decode (codebook *book, oggpack_buffer *b)
long | vorbis_book_decodev_add (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodev_set (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodevs_add (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodevv_add (codebook *book, float **a, long off, int ch, oggpack_buffer *b, int n)
int | vorbis_book_encode (codebook *book, int a, oggpack_buffer *b)
int | vorbis_book_init_decode (codebook *dest, const static_codebook *source)
int | vorbis_book_init_encode (codebook *dest, const static_codebook *source)
void | vorbis_staticbook_destroy (static_codebook *b)
int | vorbis_staticbook_pack (const static_codebook *c, oggpack_buffer *b)
static_codebook * | vorbis_staticbook_unpack (oggpack_buffer *b)

## Typedef Documentation

typedef struct codebook codebook

typedef struct static_codebook static_codebook

## Function Documentation

int _best | ( | codebook * | book,
|  | float * | a,
|  | int | step
| ) |  |

Definition at line 25 of file bookutil.c.

float* _book_logdist | ( | const static_codebook * | b,
|  | float * | vals
| ) |  |

long _book_maptype1_quantvals | ( | const static_codebook * | b | ) |

Definition at line 163 of file sharedbook.c.

Referenced by _book_unquantize(), codebook_load(), main(), vorbis_book_init_encode(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), and write_codebook().

float* _book_unquantize | ( | const static_codebook * | b,
|  | int | n,
|  | int * | map
| ) |  |

Definition at line 196 of file sharedbook.c.

Referenced by codebook_load(), and vorbis_book_init_decode().

long _float32_pack | ( | float | val | ) |

Definition at line 47 of file sharedbook.c.

Referenced by main(), and vqgen_quantize().

float _float32_unpack | ( | long | val | ) |

Definition at line 62 of file sharedbook.c.

Referenced by _book_unquantize(), main(), vorbis_book_init_encode(), vqgen_quantize(), and vqgen_unquantize().

int _ilog | ( | unsigned int | v | ) |

Definition at line 29 of file sharedbook.c.

Referenced by floor0_inverse1(), vorbis_book_init_decode(), vorbis_staticbook_pack(), and vorbis_staticbook_unpack().

int vorbis_book_besterror | ( | codebook * | book,
|  | float * | a,
|  | int | step,
|  | int | addmul
| ) |  |

Referenced by process_one().

void vorbis_book_clear | ( | codebook * | b | ) |

Definition at line 270 of file sharedbook.c.

Referenced by vorbis_book_init_decode(), and vorbis_info_clear().

long vorbis_book_codelen | ( | codebook * | book,
|  | int | entry
| ) |  |

Definition at line 437 of file sharedbook.c.

Referenced by process_one().

long vorbis_book_codeword | ( | codebook * | book,
|  | int | entry
| ) |  |

Definition at line 430 of file sharedbook.c.

long vorbis_book_decode | ( | codebook * | book,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 358 of file codebook.c.

long vorbis_book_decodev_add | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 389 of file codebook.c.

long vorbis_book_decodev_set | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 434 of file codebook.c.

long vorbis_book_decodevs_add | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 370 of file codebook.c.

long vorbis_book_decodevv_add | ( | codebook * | book,
|  | float ** | a,
|  | long | off,
|  | int | ch,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 457 of file codebook.c.

int vorbis_book_encode | ( | codebook * | book,
|  | int | a,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 274 of file codebook.c.

int vorbis_book_init_decode | ( | codebook * | dest,
|  | const static_codebook * | source
| ) |  |

Definition at line 313 of file sharedbook.c.

Referenced by _vds_shared_init().

int vorbis_book_init_encode | ( | codebook * | dest,
|  | const static_codebook * | source
| ) |  |

Definition at line 283 of file sharedbook.c.

Referenced by _vds_shared_init(), and codebook_load().

void vorbis_staticbook_destroy | ( | static_codebook * | b | ) |

Definition at line 261 of file sharedbook.c.

Referenced by _vds_shared_init(), vorbis_info_clear(), and vorbis_staticbook_unpack().

int vorbis_staticbook_pack | ( | const static_codebook * | c,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 30 of file codebook.c.

static_codebook* vorbis_staticbook_unpack | ( | oggpack_buffer * | b | ) |

Definition at line 149 of file codebook.c.

References _book_maptype1_quantvals(), _ilog(), _ogg_calloc, _ogg_malloc, static_codebook::allocedp, static_codebook::dim, static_codebook::entries, i, j, static_codebook::lengthlist, static_codebook::maptype, NULL, oggpack_bytes(), oggpack_read(), static_codebook::q_delta, static_codebook::q_min, static_codebook::q_quant, static_codebook::q_sequencep, static_codebook::quantlist, oggpack_buffer::storage, and vorbis_staticbook_destroy().

Referenced by _vorbis_unpack_books().